For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet all release templates
      • POSTCreate a release template
      • GETGet a release template
      • PUTUpdate a release template
      • DELDelete a release template
      • POSTArchive a release template
      • POSTAdd a milestone
      • PUTUpdate a milestone
      • DELRemove a milestone
      • POSTAdd a strategy to milestone
      • PUTUpdate milestone strategy
      • DELRemove milestone strategy
      • GETGet release plans
      • POSTAdd a release plan
      • DELRemove a release plan
      • POSTStart a milestone

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIRelease templates

Remove milestone strategy

Deprecated
||View as Markdown|
DELETE
https://app.unleash-instance.example.com/api/admin/release-plan-templates/:templateId/milestones/:milestoneId/strategies/:strategyId
DELETE
/api/admin/release-plan-templates/:templateId/milestones/:milestoneId/strategies/:strategyId
$curl -X DELETE https://app.unleash-instance.example.com/api/admin/release-plan-templates/templateId/milestones/milestoneId/strategies/strategyId \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}

Enterprise feature

Deletes the milestone strategy

Was this page helpful?
Previous

Get release plans

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

templateIdstringRequired
milestoneIdstringRequired
strategyIdstringRequired

Response

This response has no body.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error